Bug 251317 - Review Request: pinot - Personal search and metasearch for the Desktop
Summary: Review Request: pinot - Personal search and metasearch for the Desktop
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-08 11:18 UTC by Adel Gadllah
Modified: 2007-11-30 22:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 08:03:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Adel Gadllah 2007-08-08 11:18:52 UTC
Spec URL: http://tgmweb.at/gadllah/pinot.spec
SRPM URL: http://tgmweb.at/gadllah/pinot-0.75-1.fc7.src.rpm
Description:
Pinot is a D-Bus service that crawls, indexes your documents and monitors them
for changes, as well as a GTK-based user interface that enables to query
the index built by the service and your favourite Web engines, and display and
analyze the results

Note:
It only builds on devel due to deps that are only in devel.
smp make is not used because it fails to build with it.

Comment 1 Mamoru TASAKA 2007-08-11 16:53:37 UTC
Rebuild fails even on rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=97891

Comment 2 Adel Gadllah 2007-08-11 17:45:39 UTC
Shoould be fixed now:
http://tgmweb.at/gadllah/pinot.spec
http://tgmweb.at/gadllah/pinot-0.75-2.fc7.src.rpm

Comment 3 Mamoru TASAKA 2007-08-11 22:41:54 UTC
Still not...
http://koji.fedoraproject.org/koji/taskinfo?taskID=98146

Comment 4 Mamoru TASAKA 2007-08-11 22:51:28 UTC
Note:
I tried this by:
koji build --scratch dist-f8 <your srpm>

Comment 5 Adel Gadllah 2007-08-11 22:57:21 UTC
sry its not dbus-devel but dbus-glib-devel which is needed.
here a fixed packages:
http://tgmweb.at/gadllah/pinot.spec
http://tgmweb.at/gadllah/pinot-0.75-3.fc7.src.rpm
I am currently running a test build in mock but it havn't failed at the
configure stage ;)



Comment 6 Adel Gadllah 2007-08-11 22:58:12 UTC
after submitting this the build finished in mock ... so should be working now :)

Comment 7 Mamoru TASAKA 2007-08-12 00:19:56 UTC
Only tried to rebuild and now it seems okay.

http://koji.fedoraproject.org/koji/taskinfo?taskID=98210

Comment 8 Mamoru TASAKA 2007-08-13 08:24:12 UTC
Some notes:

* On %build section
----------------------------------------
%configure
CFLAGS=$RPM_OPT_FLAGS make
----------------------------------------
  - %configure sets CFLAGS and setting CFLAGS environ
    on make should not be needed.

* Directory ownership
  - Please make it sure that all directory this package creates
    newly are owned by this package.
    Currently the following directories are not owned by
    any packages.
----------------------------------------
%_libdir/pinot/
%_libdir/pinot/filters/
%_sysconfdir/pinot/
----------------------------------------

* Debuginfo source permission
  - Currently rpmlint complains a lot against debuginfo rpm
    like:
----------------------------------------
E: pinot-debuginfo script-without-shebang
/usr/src/debug/pinot-0.75/UI/GTK2/src/indexDialog.cc
E: pinot-debuginfo script-without-shebang
/usr/src/debug/pinot-0.75/UI/GTK2/src/WorkerThreads.cpp
----------------------------------------
    This is because the original source codes have inappropritate
    permission (which must be 0644).

* Executable permission v.s. shebang
-----------------------------------------
E: pinot-deskbar non-executable-script
/usr/lib/deskbar-applet/handlers/pinot-live.py 0644
-----------------------------------------
  - This is because this script has shebang (#!/usr/bin/env python)
    but does not have executable permission.
    It looks that this script is called by some software and it is
    not executed directly. So remove shebang from this script.

* scriptlets - update of gtk icon cache
  - (please check "GTK+ icon cache" of
     http://fedoraproject.org/wiki/Packaging/ScriptletSnippets )
    * Scriptlets are needed even for %postun.
    * Please make it sure that this script ends with success
      (i.e. add "|| : " or add "exit 0")

Comment 9 Adel Gadllah 2007-08-13 09:15:05 UTC
>This is because the original source codes have inappropritate
>permission (which must be 0644).
how can I fix this whitout changing the tarball itself?
chmod 0644 in %build or %install causes permisson issues.

Comment 10 Adel Gadllah 2007-08-13 09:17:56 UTC
(In reply to comment #9)
> >This is because the original source codes have inappropritate
> >permission (which must be 0644).
> how can I fix this whitout changing the tarball itself?
> chmod 0644 in %build or %install causes permisson issues.

stupid mistake please ignore this comment.

Comment 11 Adel Gadllah 2007-08-13 09:42:41 UTC
I uploaded a fixed srpm and spec:
http://tgmweb.at/gadllah/pinot.spec
http://tgmweb.at/gadllah/pinot-0.75-4.fc7.src.rpm

Comment 12 Mamoru TASAKA 2007-08-13 10:08:01 UTC
For -4:
(I am still rebuilding -4 srpm, so just checked your spec file)

----------------------------------------------------
@@ -85,6 +108,7 @@
 %{_bindir}/pinot-index
 %{_bindir}/pinot-search
 %{_datadir}/pinot/
+%{_libdir}/pinot/
 %{_libdir}/pinot/filters/libexternalfilter.so*
 %{_libdir}/pinot/filters/libmboxfilter.so*
 %{_libdir}/pinot/filters/libtaglibfilter.so*
@@ -100,6 +124,7 @@
 %{_datadir}/icons/hicolor/24x24/apps/pinot.png
 %{_datadir}/icons/hicolor/22x22/apps/pinot.png
 %{_datadir}/icons/hicolor/16x16/apps/pinot.png
+%{_sysconfdir}/pinot/
 %config(noreplace) %{_sysconfdir}/pinot/external-filters.xml
 %config(noreplace) %{_sysconfdir}/pinot/globalconfig.xml
 %config(noreplace) %{_sysconfdir}/pinot/textcat_conf.txt
-----------------------------------------------------

- The file entry
-----------------------------------------------------
foo/
-----------------------------------------------------
  (where foo is the directory) means the directory foo itself and
   all files/directories/ etc.. under foo/ so this makes duplicate
   file entries.

   For %{_libdir}/pinot/, %{_libdir}/pinot/filters/libexternalfilter.so*
   and on are now not needed.
   For {_sysconfdir}/pinot/, mark this as %dir, i.e.
-------------------------------------------------
%dir %{_sysconfdir}/pinot
%config(noreplace) %{_sysconfdir}/pinot/external-filters.xml
.........
-------------------------------------------------
    or just:
-------------------------------------------------
%config(noreplace) %{_sysconfdir}/pinot/
-------------------------------------------------
    The latter description contains directory %_sysconfdir/pinot
    and all files under the directory, and mark all files under
    %_sysconfdir/pinot as %config(noreplace).

Comment 13 Adel Gadllah 2007-08-13 10:23:30 UTC
fixed the duplicate ownership:
http://tgmweb.at/gadllah/pinot.spec
http://tgmweb.at/gadllah/pinot-0.75-5.fc7.src.rpm

Comment 14 Mamoru TASAKA 2007-08-13 14:32:07 UTC
Okay

One comment and one rpmlint

* desktop-file-install
--------------------------------------------------------
desktop-file-install --vendor fedora       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
$RPM_BUILD_ROOT%{_datadir}/applications/pinot.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/pinot.desktop
--------------------------------------------------------
  - This can be done by one line:
--------------------------------------------------------
desktop-file-install --vendor fedora       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applications/pinot.desktop
--------------------------------------------------------

* rpmlint
--------------------------------------------------------
W: pinot macro-in-%changelog files
--------------------------------------------------------
  - In changelog, use %% (i.e. Fix %%files section)
    to avoid that % macro is expanded.

Please fix the issues above before committing into Fedora CVS.
---------------------------------------------------------
      This package (pinot) is APPROVED by me
---------------------------------------------------------


Comment 15 Adel Gadllah 2007-08-13 14:47:59 UTC
ok thx for the review fixed both in -6:
http://tgmweb.at/gadllah/pinot.spec
http://tgmweb.at/gadllah/pinot-0.75-6.fc7.src.rpm
---------------------------------------------------

New Package CVS Request
=======================
Package Name: pinot
Short Description: Personal search and metasearch for the Desktop
Owners: drago01
Branches: devel

Comment 16 Mamoru TASAKA 2007-08-13 14:54:34 UTC
Well, now CVS Request templete has "Commits by cvsextras" line.
Please re-check http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure

Comment 17 Adel Gadllah 2007-08-13 15:30:37 UTC
Ok, I missed that part, added.

----------------------------------------
New Package CVS Request
=======================
Package Name: pinot
Short Description: Personal search and metasearch for the Desktop
Owners: drago01
Branches: devel
Commits by cvsextras: yes

Comment 18 Adel Gadllah 2007-08-13 15:37:02 UTC
Ok, I missed that part, added.

----------------------------------------
New Package CVS Request
=======================
Package Name: pinot
Short Description: Personal search and metasearch for the Desktop
Owners: drago01
Branches: devel
Commits by cvsextras: yes

Comment 19 Kevin Fenzi 2007-08-13 20:01:16 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.